<?php
/**
 * clase_zen_andamio.php
 * @author Juan Belon
 * @access public
 * @copyright LGPL, GPL
 * @package zenphp
 * @version 0.1.1
 * @uses zenphp FrameWork
 * @link http://csl2-zenphp.forja.rediris.es
 * @link http://www.zenphp.es
 * @link https://forja.rediris.es/projects/csl2-zenphp/
 * @magic Clase zen_andamio, el scaffolding de zenphp
 * @see DOM_XML_PHP
 */
// +----------------------------------------------------------------------
// | zenphp.es
// +----------------------------------------------------------------------
if (!defined('ZF_SEGURO_ZEN')) exit('Acceso directo no permitido');
if (!function_exists('domxml_version')) die("No existen las librerias DOM necesarias para cargar zen_andamio");
/**
 * Clase Zen Andamio-->Scaffolding por jbelon :)
 *
 */
class zen_andamio {
	/**
	 * Modelo y vista XML
	 *
	 * @var zen_xml_andamio
	 */
	var $xml;
	/**
	 * Vista HTML
	 *
	 * @var zen_html_andamio
	 */
	var $html;
	function zen_andamio($fichero_xml="",$modo=null,$error=""){
		$this->html=& new zen_html_andamio($this);
		$this->xml =& new zen_xml_andamio($this,$fichero_xml,$modo,$error);
	}
}
/**
 * Clase HTML para el andamio
 *
 */
class zen_html_andamio {
	/**
	 * Andamio asociado
	 *
	 * @var zen_andamio
	 */
	var $padre;
	/**
	 * Constructor de la vista HTML para el andamio
	 *
	 * @param zen_andamio $_padre
	 * @return zen_html_andamio
	 */
	function zen_html_andamio(&$_padre){
		$this->padre =& $_padre;
	}
	
	function index(&$datos){
		print_r($datos);
		echo "Soy el &Iacute;ndice del HTML del andamio";
	}
}
/**
 * Clase XML para el Andamio
 *
 */
class zen_xml_andamio extends domdocument {
	/**
	 * Andamio asociado
	 *
	 * @var zen_andamio
	 */
	var $padre;
	/**
	 * Constructor del XML para el andamio
	 *
	 * @param zen_andamio $_padre
	 * @param str $fichero_xml
	 * @param int $modo
	 * @param array $error
	 * @return zen_xml_andamio
	 */
	function zen_xml_andamio(&$_padre,$fichero_xml="",$modo=null,$error=null){
		$this->padre =& $_padre;
		parent::domdocument($fichero_xml,$modo,$error);
	}
	
}
?>